Method: projects.locations.instances.resizeDisk

Resize a notebook instance disk to a higher capacity.

HTTP request

POST https://notebooks.googleapis.com/v2/{notebookInstance}:resizeDisk

Path parameters

Parameters
notebookInstance

string

Required. Format: projects/{projectId}/locations/{location}/instances/{instanceId}

Authorization requires the following IAM permission on the specified resource notebookInstance:

  • notebooks.instances.update

Request body

The request body contains data with the following structure:

JSON representation
{

  // The following is a list of mutually exclusive fields. At most one of the
  // fields will be set in a response:
  "bootDisk": {
    object (BootDisk)
  },
  "dataDisk": {
    object (DataDisk)
  }
  // End of mutually exclusive fields.
}
Fields
Type of the disk that can be resized: boot or data disk The following is a list of mutually exclusive fields. At most one of the fields will be set in a response:
bootDisk

object (BootDisk)

Required. The boot disk to be resized. Only diskSizeGb will be used.

dataDisk

object (DataDisk)

Required. The data disk to be resized. Only diskSizeGb will be used.

End of mutually exclusive fields.

Response body

If successful, the response body contains an instance of Operation.

Authorization scopes

Requires one of the following OAuth scopes:

  • https://www.googleapis.com/auth/cloud-platform
  • https://www.googleapis.com/auth/notebooks

For more information, see the Authentication Overview.